$(document).ready(function(e){
	//Accesos 0:nuevo, 1:entrada, 2:entrada-salida, 3:cancelado	
	var urlapp=JSON.parse(localStorage.getItem("urlapp"));
    
	
	//Nueva empresa
	$("#demo-form2").validate({
		  submitHandler: function(form) {
        $.ajax({
            type: 'POST',
            url: urlapp +'insertEmpresa.php',
            data: $("#demo-form2").serialize(),
            cache: false,
			crossDomain: true,
            dataType: "json",
              beforeSend: function(){ $("#loader").show();
				},
				success: function(data) {
					if (data.status== "ok") {
					$("#loader").hide();
					$("#demo-form2")[0].reset();
				alertify.alert( 'Aviso', 'El codigo se ha generado correctamente', function(){ 
			var acceso = JSON.stringify(data.result.acceso);
			var numacceso = JSON.stringify(data.result.numacceso);
			var visita = JSON.stringify(data.result.visita);
					window.location.href ="r-qr2.html?numacceso="+numacceso+"&acceso="+acceso+"&visita="+visita;
			});
					 }
					 else if (data.status== "error") {
                              $("#loader").hide();
                    alertify.alert('Aviso', 'Hubo un error al guardar los datos');
                        }
						else if(data.status=="desactivado")
					{
					     $("#loader").hide();
					alertify.alert( 'Usuario Desactivado', 'Su usuario ha sido desactivado, favor de contactar a administración', function(){ 
					    localStorage.clear();
					window.location.href = 'login.html';
					 });
					}
				}
        });
		  }
    });
	
    
	//Nueva Visita
	$("#form-visita").validate({
	submitHandler: function(form) {
        $.ajax({
            type: 'POST',
            url: urlapp +'insertVisita.php',
            data: $("#form-visita").serialize(),
            cache: false,
			dataType: "json",
			crossDomain: true,
			  beforeSend: function(){ $("#loader").show();
				},
			success: function(data){
					if(data.status=="ok")
					{
					     $("#loader").hide();
						alertify.alert( 'Aviso', 'El codigo se ha generado correctamente', function(){ 
						var acceso = JSON.stringify(data.result.acceso);
						var numacceso = JSON.stringify(data.result.numacceso);
						var visita = JSON.stringify(data.result.visita);
					window.location.href ="rvisit2-qr.html?acceso="+acceso+"&numacceso="+numacceso+"&visita="+visita;
					});
					}
					else if(data.status=="error")
					{
					     $("#loader").hide();
						alertify.alert('Aviso', 'Hubo un error al guardar los datos');
					}
					else if(data.status=="desactivado")
					{
					     $("#loader").hide();
					alertify.alert( 'Usuario Desactivado', 'Su usuario ha sido desactivado, favor de contactar a administración', function(){ 
					    localStorage.clear();
					window.location.href = 'login.html';
					 });
					}
				}
        });
	}
    });
	
		//ESTABLECER VISITA FRECUENTE
		$("#form-frecuentev").validate({
		submitHandler: function(form) {
        $.ajax({
            type: 'POST',
            url: urlapp +'insertFrecuentev.php',
            data: $("#form-frecuentev").serialize(),
            cache: false,
			dataType: "json",
			crossDomain: true,
			  beforeSend: function(){ $("#loader").show();
				},
			success: function(data){
					if(data=="ok")
					{
					     $("#loader").hide();
						alertify.alert('Aviso', 'Se ha establecido correctamente como frecuente');
						 $('#infoFrecuente').hide();
					}
					else if(data=="error")
					{
					     $("#loader").hide();
						alertify.alert('Aviso', 'Hubo un error al guardar los datos');
						location.reload();
					}
					else if(data=="error2"){
					     $("#loader").hide();
						alertify.alert('Aviso', 'Ya existe un acceso con el correo y celular indicados');
					}
					else if(data=="desactivado")
					{
					     $("#loader").hide();
					alertify.alert( 'Usuario Desactivado', 'Su usuario ha sido desactivado, favor de contactar a administración', function(){ 
					    localStorage.clear();
					window.location.href = 'login.html';
					 });
					}
				}
        });
		}
    });
	
	//Nuevo Empleado
	$("#form-empleado").validate({
		submitHandler: function(form) {
        $.ajax({
            type: 'POST',
            url: urlapp +'insertEmpleado.php',
            data: $("#form-empleado").serialize(),
            cache: false,
			dataType: "json",
			crossDomain: true,
			  beforeSend: function(){ $("#loader").show();
				},
			success: function(data){
					if(data.status=="ok")
					{
					     $("#loader").hide();
						alertify.alert( 'Aviso', 'El codigo se ha generado correctamente', function(){ 
						var acceso = JSON.stringify(data.result.acceso);
						var numacceso = JSON.stringify(data.result.numacceso);
						var visita = JSON.stringify(data.result.visita);
					window.location.href ="remple2-qr.html?numacceso="+numacceso+"&acceso="+acceso+"&visita="+visita;
					});
					}
					else if(data.status=="error")
					{
					     $("#loader").hide();
						alertify.alert('Aviso', 'Hubo un error al guardar los datos');
					}
						else if(data.status=="error2")
					{
					     $("#loader").hide();
						alertify.alert('Aviso', 'La fecha de llegada no puede ser anterior a la fecha actual');
					}
					else if(data.status=="desactivado")
					{
					     $("#loader").hide();
					alertify.alert( 'Usuario Desactivado', 'Su usuario ha sido desactivado, favor de contactar a administración', function(){ 
					    localStorage.clear();
					window.location.href = 'login.html';
					 });
					}
				}
        });
		}
    });
	
			//ESTABLECER EMPLEADO FRECUENTE
			$("#form-frecuentee").validate({
		submitHandler: function(form) {
        $.ajax({
            type: 'POST',
            url: urlapp +'insertFrecuentee.php',
            data: $("#form-frecuentee").serialize(),
            cache: false,
			dataType: "json",
			crossDomain: true,
			  beforeSend: function(){ $("#loader").show();
				},
			success: function(data){
					if(data=="ok")
					{
					     $("#loader").hide();
						alertify.alert('Aviso', 'Se ha establecido correctamente como frecuente');
						 $('#infoFrecuente').hide();
					}
					else if(data=="error")
					{
					     $("#loader").hide();
						alertify.alert('Aviso', 'Hubo un error al guardar los datos');
						location.reload();
					}
					else if(data=="error2"){
					     $("#loader").hide();
						alertify.alert('Aviso', 'Ya existe un acceso con el correo y celular indicados');
					}
					else if(data=="desactivado")
					{
					     $("#loader").hide();
					alertify.alert( 'Usuario Desactivado', 'Su usuario ha sido desactivado, favor de contactar a administración', function(){ 
					    localStorage.clear();
					window.location.href = 'login.html';
					 });
					}
				}
        });
		}
    });
	
	//Guardar nueva clave
	$("#form-confirmac").validate({
		submitHandler: function(form) {
		var clave1=$("#clave").val();
		var clave2=$("#clave2").val(); //Se obtiene valor de las claves
		if(clave1 == ''){//Si la clave es vacia procede a cambiar email
			$.ajax({
            type: 'POST',
            url: urlapp +'confirmaclave.php',
            data: $("#form-confirmac").serialize(),
            cache: false,
			crossDomain: true,
			dataType: "json",
			  beforeSend: function(){ $("#loader").show();
				},
				success: function(data) {
				 if (data == "ok") {
				     $("#loader").hide();
				    alertify.alert( 'Aviso', 'El correo ha sido modificado correctamente', function(){ 
						localStorage.clear();
							window.location.href ="login.html";
						 });
                }
				 else if (data == "error") {
				      $("#loader").hide();
                   alertify.alert('Aviso', 'Hubo un error al guardar el correo');
                }
				else if(data=="desactivado")
					{
					     $("#loader").hide();
					alertify.alert( 'Usuario Desactivado', 'Su usuario ha sido desactivado, favor de contactar a administración', function(){ 
					    localStorage.clear();
					window.location.href = 'login.html';
					 });
					}
				}
        });
		} else{ //Si la clave no es vacia, obliga a confirmar la clave en el segundo campo
			$('#clave').attr("required","required");
			$('#clave2').attr("required","required");
		if (clave1 == clave2) { //Verifica que los campos de ambas claves sean iguales
        $.ajax({
            type: 'POST',
            url: urlapp +'cambiaclave.php',
            data: $("#form-confirmac").serialize(),
            cache: false,
			crossDomain: true,
			dataType: "json",
			  beforeSend: function(){ $("#loader").show();
				},
				success: function(data) {
					 if (data == "ok") {
				     $("#loader").hide();
				alertify.alert( 'Aviso', 'La contraseña ha sido modificada correctamente', function(){ 
						localStorage.clear();
						window.location.href ="login.html";
						 });
                }
				  else if (data == "error") {
				      $("#loader").hide();
                    alertify.alert('Aviso', 'Hubo un error al guardar su nueva clave');
                }
				else if(data=="desactivado")
					{
					     $("#loader").hide();
					alertify.alert( 'Usuario Desactivado', 'Su usuario ha sido desactivado, favor de contactar a administración', function(){ 
					    localStorage.clear();
					window.location.href = 'login.html';
					 });
					}
				}
        });
		} else //Si las claves no son iguales muestra aviso
			alertify.alert('Aviso', 'Las claves no coinciden, deben ser iguales');
		}
		}
    });
	
	
	
	//Nuevo Acceso-Empresa
		$("#form-accesoe").validate({
		submitHandler: function(form) {
        $.ajax({
            type: 'POST',
            url: urlapp +'insertAccesoe.php',
            data: $("#form-accesoe").serialize(),
            cache: false,
			dataType: "json",
			crossDomain: true,
			  beforeSend: function(){ $("#loader").show();
				},
					success: function(data){
					if(data.status=="ok")
					{
					     $("#loader").hide();
			alertify.alert( 'Aviso', 'El codigo se ha generado correctamente', function(){ 
			var acceso = JSON.stringify(data.result.acceso);
			var numacceso = JSON.stringify(data.result.numacceso);
			var visita = JSON.stringify(data.result.visita);
					window.location.href ="r-qr2.html?numacceso="+numacceso+"&acceso="+acceso+"&visita="+visita;
			});
					}
					else if(data.status=="error")
					{
					     $("#loader").hide();
						alertify.alert('Aviso', 'Hubo un error al guardar los datos');
					}
							else if(data.status=="error2")
					{
					     $("#loader").hide();
						alertify.alert('Aviso', 'La fecha de llegada no puede ser anterior a la fecha actual');
					}
					else if(data.status=="desactivado")
					{
					     $("#loader").hide();
					alertify.alert( 'Usuario Desactivado', 'Su usuario ha sido desactivado, favor de contactar a administración', function(){ 
					    localStorage.clear();
					window.location.href = 'login.html';
					 });
					}
				}
        });
		}
    });
	
	
	//Nuevo Acceso-Visita
	$("#form-accesovisita").validate({
		submitHandler: function(form) {
        $.ajax({
            type: 'POST',
            url: urlapp +'insertAccesov.php',
            data: $("#form-accesovisita").serialize(),
            cache: false,
			dataType: "json",
			crossDomain: true,
			  beforeSend: function(){ $("#loader").show();
				},
					success: function(data){
					if(data.status=="ok")
					{
					     $("#loader").hide();
						alertify.alert( 'Aviso', 'El codigo se ha generado correctamente', function(){ 
						var acceso = JSON.stringify(data.result.acceso);
						var numacceso = JSON.stringify(data.result.numacceso);
						var visita = JSON.stringify(data.result.visita);
					window.location.href ="rvisit2-qr.html?numacceso="+numacceso+"&acceso="+acceso+"&visita="+visita;
					});
					}
					else if(data.status=="error")
					{
					     $("#loader").hide();
						alertify.alert('Aviso', 'Hubo un error al guardar los datos');
					}
						else if(data.status=="error2")
					{
					     $("#loader").hide();
						alertify.alert('Aviso', 'La fecha de llegada no puede ser anterior a la fecha actual');
					}
					else if(data.status=="desactivado")
					{
					     $("#loader").hide();
					alertify.alert( 'Usuario Desactivado', 'Su usuario ha sido desactivado, favor de contactar a administración', function(){ 
					    localStorage.clear();
					window.location.href = 'login.html';
					 });
					}
				}
        });
		}
    });
	
	//Nuevo Acceso-Empleado
	$("#form-accesoempleado").validate({
		submitHandler: function(form) {
        $.ajax({
            type: 'POST',
            url: urlapp +'insertAccesoemp.php',
            data: $("#form-accesoempleado").serialize(),
            cache: false,
			dataType: "json",
			crossDomain: true,
			  beforeSend: function(){ $("#loader").show();
				},
					success: function(data){
					if(data.status=="ok")
					{
					     $("#loader").hide();
						alertify.alert( 'Aviso', 'El codigo se ha generado correctamente', function(){ 
						var acceso = JSON.stringify(data.result.acceso);
						var numacceso = JSON.stringify(data.result.numacceso);
						var visita = JSON.stringify(data.result.visita);
					window.location.href ="remple2-qr.html?numacceso="+numacceso+"&acceso="+acceso+"&visita="+visita;
					});
					}
					else if(data.status=="error")
					{
					     $("#loader").hide();
						alertify.alert('Aviso', 'Hubo un error al guardar los datos');
					}
						else if(data.status=="error2")
					{
					     $("#loader").hide();
						alertify.alert('Aviso', 'La fecha de llegada no puede ser anterior a la fecha actual');
					}
					else if(data.status=="desactivado")
					{
					     $("#loader").hide();
					alertify.alert( 'Usuario Desactivado', 'Su usuario ha sido desactivado, favor de contactar a administración', function(){ 
					    localStorage.clear();
					window.location.href = 'login.html';
					 });
					}
				}
        });
		}
    });
	
});
